import http from "@/http/http.js";

let baseUrl = "/api/web/action/tmTools/springBoard";

// 获取selftmreg的尼斯查询 一级查询得到二级树  二级查询得到三级树
export function getNiceQueryCategory(nclcodeSCode) {
  return http.post(baseUrl, {
    actionBody: {
      nclcode: nclcodeSCode
    },
    actionType: "getNcl",
    requrl: "/action/tmTools/springBoard"
  });
}

// 获取selftmreg的尼斯查询分类过滤数据
export function getNiceQueryFilter(key, classCodes) {
  return http.post(baseUrl, {
    actionBody: {
      // name: "123", //Y strin 尼斯名称
      // ncls: ["01", "02", "03"] //N List 尼斯大类编码列表
      name: key, //Y strin 尼斯名称
      ncls: classCodes //N List 尼斯大类编码列表
    },
    actionType: "getNclByLikeNameAndNcl"
  });
}

// 获取 商标文字转图片
export function getWordToPic() {
  return http.post(baseUrl, {
    actionBody: {
      word: "235"
    },
    actionType: "word2pic"
  });
}

// 获取 商标样式转换
export function getBrandUpload() {
  return http.post(baseUrl, {
    actionBody: {
      key:
        "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_picUrl295615693112289552019824.jpg"
    },
    actionType: "uploadStandardTm"
  });
}

// 获取企业近似查询
export function getCompanyInfoByLikeName() {
  return http.post(baseUrl, {
    actionBody: {
      likestr: "北京"
    },
    actionType: "getCompanyInfoByLikeName"
  });
}
